<div id="loading-layer" *ngIf="loading"></div>

<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Drivers report</h1>
  <a (click)="calculate()" class="d-none d-sm-inline-block btn btn-primary text-white"><i class="fa fa-calculator text-white-50"></i> Calculate</a>
  <a (click)="download()" class="d-none d-sm-inline-block btn btn-primary text-white" [ngClass]="collection.length > 0 ? '' : 'disabled'"><i class="fa fa-download text-white-50"></i> Download</a>
</div>

<div class="alert alert-success ui-alert" role="alert" *ngIf="success">{{successMessage}}</div>
<div class="alert alert-danger ui-alert" role="alert" *ngIf="(errors | json) != '{}'">Error.</div>

<div class="card shadow mb-4">
    <table mat-table matSort [dataSource]="dataSource" class="mat-elevation-z8" *ngIf="collection.length > 0; else nothing" (matSortChange)="onSortChange($event)">

        <ng-container matColumnDef="driver_id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Driver ID </th>
            <td mat-cell *matCellDef="let element"> {{element.driver_id}} </td>
        </ng-container>

        <ng-container matColumnDef="total_minutes_with_passenger">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Payable Time (minutes) </th>
            <td mat-cell *matCellDef="let element"> {{element.total_minutes_with_passenger}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

  <ng-template #nothing><p class="m-5 text-center">No records found.</p></ng-template>

</div>
